WebHookActivity Class
WebHook activity.
All required parameters must be populated in order to send to Azure.
- Inheritance
-
azure.mgmt.datafactory.models._models_py3.ControlActivityWebHookActivity
Constructor
WebHookActivity(*, name: str, method: Union[str, _models.WebHookActivityMethod], url: Any, additional_properties: Optional[Dict[str, Any]] = None, description: Optional[str] = None, depends_on: Optional[List[_models.ActivityDependency]] = None, user_properties: Optional[List[_models.UserProperty]] = None, timeout: Optional[str] = None, headers: Optional[Any] = None, body: Optional[Any] = None, authentication: Optional[_models.WebActivityAuthentication] = None, report_status_on_call_back: Optional[Any] = None, **kwargs)
Variables
Unmatched properties from the message are deserialized to this collection.
- name
- str
Required. Activity name.
- type
- str
Required. Type of activity.Constant filled by server.
- description
- str
Activity description.
- depends_on
- list[ActivityDependency]
Activity depends on condition.
- user_properties
- list[UserProperty]
Activity user properties.
- method
- str or WebHookActivityMethod
Required. Rest API method for target endpoint. Known values are: "POST".
- url
- any
Required. WebHook activity target endpoint and path. Type: string (or Expression with resultType string).
- timeout
- str
The timeout within which the webhook should be called back. If there is no value specified, it defaults to 10 minutes. Type: string. Pattern: ((d+).)?(dd):(60|([0-5][0-9])):(60|([0-5][0-9])).
- headers
- any
Represents the headers that will be sent to the request. For example, to set the language and type on a request: "headers" : { "Accept-Language": "en-us", "Content-Type": "application/json" }. Type: string (or Expression with resultType string).
- body
- any
Represents the payload that will be sent to the endpoint. Required for POST/PUT method, not allowed for GET method Type: string (or Expression with resultType string).
- authentication
- WebActivityAuthentication
Authentication method used for calling the endpoint.
- report_status_on_call_back
- any
When set to true, statusCode, output and error in callback request body will be consumed by activity. The activity can be marked as failed by setting statusCode >= 400 in callback request. Default is false. Type: boolean (or Expression with resultType boolean).
Feedback
Submit and view feedback for